@import "../../assets/variables";

@mixin container {
  border-radius: 4px;
  box-shadow: 0 0 0 2px $color-gray;

  display: flex;
  align-items: center;
  padding: 0 10px;

  cursor: text;

  color: darken($color-gray, 20%);

  background: $color-white;

  &--is-focused {
    box-shadow: 0 0 0 2px lighten($color-softGreen, 20%);
  }
}

@mixin input {
  flex-grow: 1;

  * + & {
    margin-left: 10px;
  }

  + * {
    margin-left: 10px;
  }

  height: 40px;

  color: $color-black;

  font-size: 16px;
  font-weight: 400;
}

@mixin placeholder {
  color: $color-black;
  opacity: .3;
}
